/*
 * Copyright (c) CompanyNameMagicTag 2022-2023. All rights reserved.
 * Description: export ebai gpu functions
 */

#ifndef EBAI_GPU_H
#define EBAI_GPU_H

#include <linux/types.h>

struct ebai_gpu_freq_info {
	int64_t freq;
	int64_t run_time;
	int64_t idle_time;
} __packed;

typedef int (*ebai_gpu_enable_fn_t)(bool enable);
typedef int (*ebai_gpu_freq_stats_fn_t)(struct ebai_gpu_freq_info *data, int num);
typedef int (*ebai_gpu_freq_count_fn_t)(void);

void ebai_set_gpu_freq_num(int num);
void ebai_update_gpu_info(int64_t freq, int64_t busy_time, int64_t total_time, int32_t cycle_ms);

struct ebai_gpu_stats_ops {
	ebai_gpu_enable_fn_t enable;
	ebai_gpu_freq_stats_fn_t get_stats;
	ebai_gpu_freq_count_fn_t get_num;
};

#endif // EBAI_GPU_H
