/*
 * Copyright (c) CompanyNameMagicTag 2022-2023. All rights reserved.
 * Description: export ebai hwlog functions
 */

#ifndef EBAI_HWLOG_H
#define EBAI_HWLOG_H

#define HW_LOG_PRIO_VERBOSE	2
#define HW_LOG_PRIO_DEBUG	3
#define HW_LOG_PRIO_INFO	4
#define HW_LOG_PRIO_WARN	5
#define HW_LOG_PRIO_ERROR	6
#define HW_LOG_ID_EBAI          2

int drv_hwlog_to_write(int prio, int bufid, const char *tag, const char *fmt, ...);

#ifndef hwebai_pr
#define hwebai_pr(tag, fmt, ...) \
	drv_hwlog_to_write(HW_LOG_PRIO_DEBUG, HW_LOG_ID_EBAI, \
		tag, fmt, ##__VA_ARGS__)
#endif

#ifndef hwebai_logv
#define hwebai_logv(tag, fmt, ...) \
	drv_hwlog_to_write(HW_LOG_PRIO_VERBOSE, HW_LOG_ID_EBAI, \
		tag, fmt, ##__VA_ARGS__)
#endif

#ifndef hwebai_logd
#define hwebai_logd(tag, fmt, ...) \
	drv_hwlog_to_write(HW_LOG_PRIO_DEBUG, HW_LOG_ID_EBAI, \
		tag, fmt, ##__VA_ARGS__)
#endif

#ifndef hwebai_logi
#define hwebai_logi(tag, fmt, ...) \
	drv_hwlog_to_write(HW_LOG_PRIO_INFO, HW_LOG_ID_EBAI, \
		tag, fmt, ##__VA_ARGS__)
#endif

#ifndef hwebai_logw
#define hwebai_logw(tag, fmt, ...) \
	drv_hwlog_to_write(HW_LOG_PRIO_WARN, HW_LOG_ID_EBAI, \
		tag, fmt, ##__VA_ARGS__)
#endif

#ifndef hwebai_loge
#define hwebai_loge(tag, fmt, ...) \
	drv_hwlog_to_write(HW_LOG_PRIO_ERROR, HW_LOG_ID_EBAI, \
		tag, fmt, ##__VA_ARGS__)
#endif
#endif
