/*
 * Copyright (c) CompanyNameMagicTag 2022-2023. All rights reserved.
 * Description: export ebai driver functions
 */

#ifndef EBAI_PLAT_H
#define EBAI_PLAT_H

#include "ebai_log.h"

enum ebai_module_t {
	EBAI_MODULE_BATTERY,
	EBAI_MODULE_DDR,
	EBAI_MODULE_DISPLAY,
	EBAI_MODULE_GPU,
	EBAI_MODULE_PERI,
	EBAI_MODULE_WAKEUP,
};

#ifdef CONFIG_POWER_EBAI

int ebai_register_module_ops(enum ebai_module_t module, void *mops);
int ebai_unregister_module_ops(enum ebai_module_t module);
void ebai_gpu_freq_stats_init(void);
void ebai_gpu_freq_stats_exit(void);

#else // !CONFIG_POWER_EBAI

static inline int ebai_register_module_ops(enum ebai_module_t module, void *mops)
{
	return -ENOSYS;
}

static inline int ebai_unregister_module_ops(enum ebai_module_t module)
{
	return -ENOSYS;
}

#endif // CONFIG_POWER_EBAI
#endif // EBAI_PLAT_H
