/*
 * Copyright (c) @CompanyNameMagicTag 2020. All rights reserved.
 */

#ifndef _MNTN_GLOBAL_MEM_MAP_INCLUDE_H_
#define _MNTN_GLOBAL_MEM_MAP_INCLUDE_H_
/* high */
#if (defined(CONFIG_ARCH_WUDANGSTICK) || defined(CONFIG_ARCH_KONGTONGV100) || \
	defined(CONFIG_ARCH_SHAOLINGUN) || defined(CONFIG_ARCH_HENGSHANV200) || \
	defined(CONFIG_MNTN_PC) || defined(CONFIG_ARCH_SHAOLINSPEAR))
/* reserved mem must same as dts /memreserve/ 0x3F000000 0x00800000; */
#define MNTN_RESERVED_MNTN_PHYMEM_BASE (0x3F000000)
#endif
/* middle */
#if (defined(CONFIG_CHIP_SHAOLINSWORD) || defined(CHIP_TYPE_shaolinsword) || \
	defined(CONFIG_ARCH_SHAOLINSWORD) || defined(CONFIG_CHIP_SHAOLINKNIVE) || \
	defined(CHIP_TYPE_shaolinknive) || defined(CONFIG_ARCH_SHAOLINKNIVE) || \
	defined(CONFIG_CHIP_HI3751V811) || defined(CHIP_TYPE_hi3751v811) || \
	defined(CONFIG_ARCH_HI3751V811))
#define MNTN_RESERVED_MNTN_PHYMEM_BASE (0x1D8FF000)
#endif
/* low */
#if (defined(CONFIG_CHIP_SHAOLINAXE) || defined(CHIP_TYPE_shaolinaxe) || defined(CONFIG_ARCH_SHAOLINAXE) || \
     defined(CONFIG_CHIP_HI3751V570) || defined(CHIP_TYPE_hi3751v570) || defined(CONFIG_ARCH_HI3751V570))
#define MNTN_RESERVED_MNTN_PHYMEM_BASE (0x30A00000)
#endif

#define MNTN_RESERVED_MNTN_PHYMEM_SIZE (0x800000)
#define MNTN_RESERVED_PSTORE_PHYMEM_BASE (MNTN_RESERVED_MNTN_PHYMEM_BASE)
#define MNTN_RESERVED_PSTORE_PHYMEM_SIZE (0x100000)  /* 1M  */
#define MNTN_RESERVED_DMSG_PHYMEM_BASE (MNTN_RESERVED_PSTORE_PHYMEM_BASE + MNTN_RESERVED_PSTORE_PHYMEM_SIZE)
#define MNTN_RESERVED_DMSG_PHYMEM_SIZE (0x80000)  /* 512K  */
#define MNTN_SUB_RESERVED_EXTEND_LOG_PHYMEM_BASE (MNTN_RESERVED_DMSG_PHYMEM_BASE + MNTN_RESERVED_DMSG_PHYMEM_SIZE)
#define MNTN_SUB_RESERVED_EXTEND_LOG_PHYMEM_SIZE (0x100000)  /* 1M  */
#define MNTN_SUB_RESERVED_BL31_LOG_PHYMEM_BASE \
	(MNTN_SUB_RESERVED_EXTEND_LOG_PHYMEM_BASE + MNTN_SUB_RESERVED_EXTEND_LOG_PHYMEM_SIZE)
#define MNTN_SUB_RESERVED_BL31_LOG_PHYMEM_SIZE (0x80000)  /* 512K  */
#define MNTN_SUB_RESERVED_FASTBOOT_LOG_PYHMEM_BASE  \
	(MNTN_SUB_RESERVED_BL31_LOG_PHYMEM_BASE + MNTN_SUB_RESERVED_BL31_LOG_PHYMEM_SIZE)
#define MNTN_SUB_RESERVED_FASTBOOT_LOG_PYHMEM_SIZE (0x20000)  /* 128K  */
#define MNTN_SUB_RESERVED_MNTN_DUMP_BASE \
	(MNTN_SUB_RESERVED_FASTBOOT_LOG_PYHMEM_BASE + MNTN_SUB_RESERVED_FASTBOOT_LOG_PYHMEM_SIZE)
#define MNTN_SUB_RESERVED_MNTN_DUMP_SIZE (0x1000)  /* 4K  */

/* high bbox save param in ddr page=4K */
#define MNTN_RESERVED_GLOBAL_PARAMTERS_BASE (MNTN_SUB_RESERVED_MNTN_DUMP_BASE + MNTN_SUB_RESERVED_MNTN_DUMP_SIZE)
#define MNTN_RESERVED_GLOBAL_PARAMTERS_SIZE (0x1000)  /* 4K  */
#define MNTN_RESERVED_MNTN_REBOOT_TIME_BASE (MNTN_RESERVED_GLOBAL_PARAMTERS_BASE)
#define MNTN_RESERVED_MNTN_REBOOT_TIME_SIZE (24)  /* reboot time 24 bytes */
#define MNTN_RESERVED_REBOOT_REASON_BAK_BASE (MNTN_RESERVED_MNTN_REBOOT_TIME_BASE + MNTN_RESERVED_MNTN_REBOOT_TIME_SIZE)
#define MNTN_RESERVED_REBOOT_REASON_BAK_SIZE (4)
#define MNTN_RESERVED_REBOOT_SUBTYPE_BAK_BASE \
	(MNTN_RESERVED_REBOOT_REASON_BAK_BASE + MNTN_RESERVED_REBOOT_REASON_BAK_SIZE)
#define MNTN_RESERVED_REBOOT_SUBTYPE_BAK_SIZE (4)
#define MNTN_RESERVED_REBOOT_KEYPOINT_BAK_BASE \
	(MNTN_RESERVED_REBOOT_SUBTYPE_BAK_BASE + MNTN_RESERVED_REBOOT_SUBTYPE_BAK_SIZE)
#define MNTN_RESERVED_REBOOT_KEYPOINT_BAK_SIZE (4)
#define MNTN_RESERVED_MNTNCTL_BAK_BASE (MNTN_RESERVED_REBOOT_KEYPOINT_BAK_BASE + MNTN_RESERVED_REBOOT_KEYPOINT_BAK_SIZE)
#define MNTN_RESERVED_MNTNCTL_BAK_SIZE (128) /* mntnctl 8 bytes u64 */
#define MNTN_RESERVED_MNTN_EXCE_MAGIC_BASE (MNTN_RESERVED_MNTNCTL_BAK_BASE + MNTN_RESERVED_MNTNCTL_BAK_SIZE)
#define MNTN_RESERVED_MNTN_EXCE_MAGIC_SIZE (4) /* record boot exception flag */
#define MNTN_RESERVED_MNTNCTL_BASE (MNTN_RESERVED_MNTN_EXCE_MAGIC_BASE + MNTN_RESERVED_MNTN_EXCE_MAGIC_SIZE)
#define MNTN_RESERVED_MNTNCTL_SIZE (128) /* mntnctl 8 bytes u64 */
#define MNTN_RESERVED_MNTN_DDR_BFMR_BASE (MNTN_RESERVED_MNTNCTL_BASE + MNTN_RESERVED_MNTNCTL_SIZE)
#define MNTN_RESERVED_MNTN_DDR_BFMR_SIZE (0x400)   /* bfmr 1K */
#define MNTN_RESERVED_MNTN_TEST_MAGIC_BASE (MNTN_RESERVED_MNTN_DDR_BFMR_BASE + MNTN_RESERVED_MNTN_DDR_BFMR_SIZE)
#define MNTN_RESERVED_MNTN_TEST_MAGIC_SIZE (4)
#define MNTN_RESERVED_MNTN_TEST_FLAG_BASE (MNTN_RESERVED_MNTN_TEST_MAGIC_BASE + MNTN_RESERVED_MNTN_TEST_MAGIC_SIZE)
#define MNTN_RESERVED_MNTN_TEST_FLAG_SIZE (4)
#define MNTN_RESERVED_MNTN_RST_CNT_BASE (MNTN_RESERVED_MNTN_TEST_FLAG_BASE + MNTN_RESERVED_MNTN_TEST_FLAG_SIZE)
#define MNTN_RESERVED_MNTN_RST_CNT_SIZE (4) /* wdg rst cnt 4 bytes */
#define MNTN_RESERVED_MNTN_FIT_BASE (MNTN_RESERVED_MNTN_RST_CNT_BASE + MNTN_RESERVED_MNTN_RST_CNT_SIZE)
#define MNTN_RESERVED_MNTN_FIT_SIZE (0x800)  /* fit 2K  */

#endif
