/*
 * Copyright (c) CompanyNameMagicTag 2019-2020. All rights reserved.
 * Description: data structure and command for user in mailbox driver
 */
#ifndef __DRV_MAILBOX_IOCTL_H__
#define __DRV_MAILBOX_IOCTL_H__

#ifdef __cplusplus
#if __cplusplus
extern "C" {
#endif
#endif /* End of #ifdef __cplusplus */

typedef struct {
	unsigned int handle;
	unsigned int id;
} drv_mailbox_open_cmd;

typedef struct {
	unsigned int handle;
} drv_mailbox_close_cmd;

typedef struct {
	unsigned int handle;
	unsigned char *message;
	unsigned int message_len;
	unsigned char *output;
	unsigned int *output_len;
	unsigned int flag;
	unsigned int param;
} drv_mailbox_send_cmd;

typedef struct {
	unsigned int handle;
	unsigned int message;
	unsigned int message_len;
	unsigned int output;
	unsigned int output_len;
	unsigned int flag;
	unsigned int param;
} drv_mailbox_send_cmd_compat;

#define CMD_MAILBOX_OPEN                    _IOWR(0x6D, 0x1, drv_mailbox_open_cmd)
#define CMD_MAILBOX_CLOSE                   _IOW (0x6D, 0x2, drv_mailbox_close_cmd)
#define CMD_MAILBOX_SEND                    _IOWR(0x6D, 0x3, drv_mailbox_send_cmd)
#define CMD_MAILBOX_COMPAT_SEND             _IOWR(0x6D, 0x3, drv_mailbox_send_cmd_compat)
#define CMD_MAILBOX_BEGINTRANSACTION        _IO  (0x6D, 0x4)
#define CMD_MAILBOX_ENDTRANSACTION          _IO  (0x6D, 0x5)

#ifdef __cplusplus
#if __cplusplus
}
#endif
#endif /* End of #ifdef __cplusplus */

#endif /* End of #ifndef __DRV_MAILBOX_IOCTL_H__ */
