 /*
 * Copyright (c) CompanyNameMagicTag 2021-2022. All rights reserved.
 * Description: SOCT USB common header file
 * Author: AuthorNameMagicTag
 * Create: 2021-6-10
 */

#ifndef _SOCT_USB_H_
#define _SOCT_USB_H_

#include <linux/usb.h>

/**
 * event types passed to soct_usb_otg_event().
 */
enum soct_usb_event_type {
	SWITCH_TO_HOST = 0,
	SWITCH_TO_DEVICE,
	NONE_EVENT,
};


/**
 * Queue an event to be processed.
 * @soct_usb_event_type: the type of event.
 * @controller_id: id of soct_dwc3
 *
 * The event will be added to the tail of a queue, and processed in a work.
 *
 * Return: 0 means the event added sucessfully. others means event was rejected.
 */
int soct_usb_otg_event(enum soct_usb_event_type, int controller_id);

#endif /* _SOCT_USB_H_ */
